Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.rpcdispatcher.search
Class Search

    java.lang.Object
      com.ejie.r01f.rpcdispatcher.search.Search

public class Search
extends java.lang.Object

Field Summary
`Pager` | `paginas`
`java.util.Map` | `paramsBusqueda`
`java.util.List` | `resultados`

Constructor Summary
`Search(int inPageSize, AbstractSearchPersist inBuscadorPersist)` Constructor.

Method Summary
`java.util.List` | `doSearch(java.lang.String inSearchID)` Utiliza la capa de persistencia de la busqueda para devolver la página actual de resultados que cumplen los criterios de búsqueda.
`void` | `initSearch(java.lang.String inSearchID)` Utiliza la capa de persistencia de la busqueda para establecer un objeto Pager que relaciona las páginas encontradas en la búsqueda con el código del primer elemento de cada página.
`void` | `initSearch(java.lang.String inSearchID, SearchParameters inParams)` Utiliza la capa de persistencia de la busqueda para establecer un objeto Pager que relaciona las páginas encontradas en la búsqueda con el código del primer elemento de cada página
`void` | `setParams(SearchParameters inParamsBusqueda)` Establece de golpe todos los parametros de busqueda

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### paramsBusqueda

    public java.util.Map paramsBusqueda

### paginas

    public Pager paginas

### resultados

    public java.util.List resultados

Constructor Detail

### Search

    public Search(int inPageSize,
                  AbstractSearchPersist inBuscadorPersist)

  Constructor.

Method Detail

### setParams

    public void setParams(SearchParameters inParamsBusqueda)

  Establece de golpe todos los parametros de busqueda

### initSearch

    public void initSearch(java.lang.String inSearchID)
                    throws SearchException

  Utiliza la capa de persistencia de la busqueda para establecer un objeto Pager que relaciona las páginas encontradas en la búsqueda con el código del primer elemento de cada página. Para inicializar el pager, se cuenta el numero total de resultados y el pager se "queda" con el indice de aquellos que son el primer elemento de la página OJO!! Previamente habrá que haber establecido los parámetros de búsqueda y el tamaño de página

  Throws:
    `SearchException` - si ocurre algun error durante la busqueda

### initSearch

    public void initSearch(java.lang.String inSearchID,
                           SearchParameters inParams)
                    throws SearchException

  Utiliza la capa de persistencia de la busqueda para establecer un objeto Pager que relaciona las páginas encontradas en la búsqueda con el código del primer elemento de cada página

  Throws:
    `SearchException` - Si ocurre algún error durante la búsqueda

### doSearch

    public java.util.List doSearch(java.lang.String inSearchID)
                            throws SearchException

  Utiliza la capa de persistencia de la busqueda para devolver la página actual de resultados que cumplen los criterios de búsqueda. NOTA: Se devuelven los resultados de la página actual (mantenida en el objeto Pager).

  Returns:
    List Los resultados de la búsqueda
  Throws:
    `SearchException` - si ocurre algun error durante la busqueda

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD